Passwordfile library: Util::OpenSslRandomDevice Class Reference

Passwordfile library 5.0.13 C++ library to read/write passwords from/to encrypted files

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Util::OpenSslRandomDevice Class Reference

Provides a random device using the OpenSSL function RAND_bytes(). More...

`#include <opensslrandomdevice.h>`

## Public Types
using | result_type = std::uint32_t

## Public Member Functions
| OpenSslRandomDevice ()
| Constructs a new random device.
result_type | operator() () const
| Generates a new random number.
bool | status () const
| Returns the status.

## Static Public Member Functions
static constexpr result_type | min ()
static constexpr result_type | max ()

## Detailed Description

Provides a random device using the OpenSSL function RAND_bytes().

Definition at line 11 of file opensslrandomdevice.h.

## Member Typedef Documentation

## ◆ result_type

using Util::OpenSslRandomDevice::result_type = std::uint32_t

Definition at line 13 of file opensslrandomdevice.h.

## Constructor & Destructor Documentation

## ◆ OpenSslRandomDevice()

Util::OpenSslRandomDevice::OpenSslRandomDevice | ( |  | ) |

Constructs a new random device.

Definition at line 25 of file opensslrandomdevice.cpp.

## Member Function Documentation

## ◆ max()

OpenSslRandomDevice::result_type Util::OpenSslRandomDevice::max | ( |  | ) |
| staticconstexpr

Definition at line 27 of file opensslrandomdevice.h.

## ◆ min()

OpenSslRandomDevice::result_type Util::OpenSslRandomDevice::min | ( |  | ) |
| staticconstexpr

Definition at line 22 of file opensslrandomdevice.h.

## ◆ operator()()

OpenSslRandomDevice::result_type Util::OpenSslRandomDevice::operator() | ( |  | ) | const

Generates a new random number.

Definition at line 32 of file opensslrandomdevice.cpp.

## ◆ status()

bool Util::OpenSslRandomDevice::status | ( |  | ) | const

Returns the status.

Definition at line 53 of file opensslrandomdevice.cpp.

The documentation for this class was generated from the following files:

- util/opensslrandomdevice.h
- util/opensslrandomdevice.cpp